textures/atlantis/waterflow
{
qer_editorimage textures/kosk/rs_water.tga
surfaceparm nodlight
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm noimpact
q3map_surfacelight 150
	cull disable

	{
		map textures/kosk/rs_water.tga
		blendfunc blend
		rgbGen Vertex
		tcmod scale .2 .2
		tcMod scroll 0 -2
		alphaGen Vertex
	}


}






////////////////////////////////////
//// PADS
////////////////////////////////////


textures/atlantis/woodpad
{
	qer_editorimage textures/atlantis/woodmgrid1b.tga
	surfaceparm nodamage
	surfaceparm woodsteps
	q3map_surfacelight 15
	implicitMap textures/atlantis/woodmgrid1b.tga
}

textures/atlantis/stonepad_gold2
{
	qer_editorimage textures/atlantis/block07b.tga
	surfaceparm nodamage
	q3map_surfacelight 15
	implicitMap textures/atlantis/block07b.tga
}

textures/atlantis/stonepad_gold
{
	qer_editorimage textures/atlantis/block08d.tga
	surfaceparm nodamage
	q3map_surfacelight 15
	implicitMap textures/atlantis/block08d.tga
}

textures/atlantis/stonepad_grey
{
	qer_editorimage textures/atlantis/block08c.tga
	surfaceparm nodamage
	q3map_surfacelight 15
	implicitMap textures/atlantis/block08c.tga
}

textures/atlantis/stonepad_blank
{
	qer_editorimage textures/atlantis/v128-01a.tga
	surfaceparm nodamage
	q3map_surfacelight 15
	implicitMap textures/atlantis/v128-01a.tga
}

textures/atlantis/trim_slick
{
	qer_editorimage textures/atlantis/lig_b064-02d.tga
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/atlantis/lig_b064-02d.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/atlantis/lig_b064-02y.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}



textures/atlantis/trim
{
	qer_editorimage textures/atlantis/lig_b064-03d.tga
	surfaceparm nodamage
	{
		map textures/atlantis/lig_b064-03d.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/atlantis/lig_b064-03y.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}


textures/atlantis/trim_ramp
{
	qer_editorimage textures/atlantis/lig_b064-03f.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/atlantis/lig_b064-03f.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/atlantis/lig_b064-03r.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}


textures/atlantis/trim3
{
	qer_editorimage textures/atlantis/lig_b064-02b.tga
	surfaceparm nodamage
	{
		map textures/atlantis/lig_b064-02b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/atlantis/lig_b064-02b.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}















////////////////////////////////////
//// FX
////////////////////////////////////

textures/atlantis/FOG
{
	qer_editorimage textures/atlantis/fog_atlantis.tga
	qer_trans 0.3
	fogparms ( 0.13 0.19 0.24 ) 13384
	//fogparms ( 0.301, 0.780, 0.819 ) 26384
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/atlantis/FOG_edge
{
	qer_editorimage textures/atlantis/fog_atlantis.tga
	qer_trans 0.3
	fogparms ( 0.13 0.19 0.24 ) 8000
	//fogparms ( 0.301, 0.780, 0.819 ) 26384
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}


textures/atlantis/surface_fog_SLOW
{
	qer_editorimage textures/editor/purple1.tga
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	qer_trans .5
	{
		map textures/atlantis/fog_surface_atlantis.tga
		blendFunc blend
		depthWrite
		rgbGen identity
		alphaGen vertex
		tcmod scale .02 .02
		tcmod scroll 0.05 0
		tcmod turb 0 0.01 0 0.10
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		depthfunc equal
	}
}


textures/atlantis/surface_fog_FAST
{
	qer_editorimage textures/editor/purple1.tga
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	qer_trans .5
	{
		map textures/atlantis/fog_surface_atlantis.tga
		blendFunc blend

		rgbGen identity
		alphaGen vertex
		tcmod scale .02 .02
		tcmod scroll 0.55 0
		tcmod turb 0 0.01 0 0.10
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		depthfunc equal
	}
}


textures/atlantis/ironchain
{
	qer_editorimage textures/atlantis/chain.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		map textures/atlantis/chain.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


textures/atlantis/wilsflame2
{
	qer_editorimage textures/sfx/flame1.tga
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}


textures/atlantis/flame_b
{
	qer_editorimage textures/atlantis/b_flame6.tga
	q3map_lightimage textures/atlantis/b_flame6.tga
	q3map_surfacelight 75
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	{
		animMap 10 textures/atlantis/b_flame1.tga textures/atlantis/b_flame2.tga textures/atlantis/b_flame3.tga textures/atlantis/b_flame4.tga textures/atlantis/b_flame5.tga textures/atlantis/b_flame6.tga textures/atlantis/b_flame7.tga textures/atlantis/b_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10	
	}	
	{
		animMap 10 textures/atlantis/b_flame2.tga textures/atlantis/b_flame3.tga textures/atlantis/b_flame4.tga textures/atlantis/b_flame5.tga textures/atlantis/b_flame6.tga textures/atlantis/b_flame7.tga textures/atlantis/b_flame8.tga textures/atlantis/b_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/atlantis/b_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}




textures/atlantis/greengem
{
    qer_editorImage textures/atlantis/greengem.tga
    qer_trans 0.75
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    cull none
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.5     
        rgbGen const ( 0.0 1.0 0.87 )
    }
	{
		map textures/atlantis/icefx.tga
		blendfunc blend
	}
    {
        map textures/effects/envmap_gold.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 2 2
        rgbGen identity
    }
}
















////////////////////////////////////
//// ICE
////////////////////////////////////


textures/atlantis/ice_atlantis
{
    qer_editorImage textures/atlantis/block10c.tga
    //q3map_surfacelight 100
    qer_trans 0.75
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
    surfaceparm splash
	tessSize 256



   {
      map $whiteimage
      //depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/atlantis/ice_atlantis.tga
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/effects/envmap_ice2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}
















////////////////////////////////////
//// WATER
////////////////////////////////////


textures/atlantis/water_light
{
	nocompress
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	q3map_surfacelight 100
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001

	}

	{
     	 	map $whiteimage
     		 blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     		 alphaGen const 0.5
     		 rgbGen const ( 0.301, 0.780, 0.819 )
	}

	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}



textures/atlantis/water_light_FAST
{
	nocompress
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	q3map_surfacelight 100
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128

		rgbgen identity
		tcmod scale .02 .02
		tcmod scroll 0.25 0
		tcmod turb 0 0.01 0 0.10
	}
	{
     	 	map $whiteimage
     		 blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     		 alphaGen const 0.5
     		 rgbGen const ( 0.301, 0.780, 0.819 )
	}
	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}




textures/atlantis/TESTWATER
{
	qer_editorimage textures/editor/purple1.tga
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	qer_trans .5
	{
		map textures/hourkraden/water1.tga
		blendFunc blend
		depthWrite
		rgbGen identity
		alphaGen vertex
		tcmod scale .02 .02
		tcmod scroll 0.05 0
		tcmod turb 0 0.01 0 0.10
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		depthfunc equal
	}
}